| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::SketchWidget Class Reference
Inheritance diagram for Digikam::SketchWidget:

## Public Slots
void | setPenColor (const QColor &newColor)
void | setPenWidth (int newWidth)
void | slotClear ()
void | slotRedo ()
void | slotUndo ()

## Signals
void | signalPenColorChanged (const QColor &)
void | signalPenSizeChanged (int)
void | signalSketchChanged (const QImage &)
void | signalUndoRedoStateChanged (bool hasUndo, bool hasRedo)

## Public Member Functions
| SketchWidget (QWidget *const parent=nullptr)
bool | isClear () const
QColor | penColor () const
int | penWidth () const
void | setSketchImage (const QImage &image)
bool | setSketchImageFromXML (const QString &xml)
bool | setSketchImageFromXML (QXmlStreamReader &reader)
| This method set sketch image using XML data based on drawing line history.
QImage | sketchImage () const
QString | sketchImageToXML ()
void | sketchImageToXML (QXmlStreamWriter &writer)
| This method return the drawing line history as XML, to be stored in database as SAlbum data.

## Protected Member Functions
void | keyPressEvent (QKeyEvent *) override
void | keyReleaseEvent (QKeyEvent *) override
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override
void | wheelEvent (QWheelEvent *) override

## Member Function Documentation

## ◆ setSketchImageFromXML()

bool Digikam::SketchWidget::setSketchImageFromXML | ( | QXmlStreamReader & | reader | ) |

Returns
  True if data are imported successfully.